%define upstream_name    JavaScript-Packer
%define upstream_version 2.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl version of Dean Edwards' Packer.js
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Regexp::RegGrp) >= 1.1_1
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A JavaScript Compressor

This module is an adaptation of Dean Edwards' Packer.js.

Additional information: http://dean.edwards.name/packer/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Test broken by ordering change of generated variable names
rm -f t/02-io.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat May 28 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1019205
- update to 2.02

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 966296
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 843228
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-5.mga5
+ Revision: 739301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-4.mga5
+ Revision: 685151
- Mageia 5 Mass Rebuild

* Sat Jan 04 2014 pterjan <pterjan> 1.6.3-3.mga4
+ Revision: 564548
- Disable test broken by perl 5.18

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.3-2.mga3
+ Revision: 368827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.6.3-1.mga3
+ Revision: 261462
- imported package perl-JavaScript-Packer

